Download it now!
Bug 76486 - Uniform Arrangement of the Help Button
Summary: Uniform Arrangement of the Help Button
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.2.2.1 release
Hardware: Other All
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:4.3.0
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-22 18:11 UTC by A (Andy)
Modified: 2014-04-03 13:44 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description A (Andy) 2014-03-22 18:11:01 UTC
Problem Description: 
In some dialog boxes the help button is arranged on the left while in other dialog boxes it is on the right next to buttons like OK and Cancel.
 
Steps to Reproduce:
1. Open WRITER

2.1. Go to INSERT -> FOOTNOTE/ENDNOTE
2.2. Go to INSERT -> OBJECT -> PLUG-IN
2.3. Go to FILE -> PROPERTIES -> tab SECURITY -> PROTECT
2.4. Go to TABLE -> INSERT -> TABLE
2.5. Go to TOOLS -> WORD COUNT

versus:

3.1. Go to FILE -> EXPORT AS PDF
3.2. Go to FILE -> PROPERTIES -> any tab
3.3. Go to INSERT -> SPECIAL CHARACTER
3.4. Go to INSERT -> FRAME -> any tab
3.5. Go to TOOLS -> LINE NUMBERING

Maybe, it would be good to have a uniform arrangement of the help buttons (left or right) to make it more intuitive and faster to find the help buttons?
What do others think about this?

reproducible with LO 4.2.2.1 (Win 8.1)
Comment 1 retired 2014-03-23 10:21:21 UTC
Confirmed. Platform All.

Help Button in dialogs should be indeed consistent. 

NEW
Comment 2 Commit Notification 2014-04-03 13:43:26 UTC
Caolan McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2d37dd8d5f79564dbf19546287cb258a1d6aef8c

Resolves: fdo#76486 Uniform Arrangement of the Help Button



The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Caolán McNamara 2014-04-03 13:44:55 UTC
If there are more of these, then feel free to open a new bug for those ones and assign it to me. We'll go with ok, cancel, help for now and eventually follow the desktop theme ordering automaticaly once we work the existing kinks out.